"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const eq$1 = require("./eq.js");
var eq = eq$1.eq_1;
function assocIndexOf(array, key) {
  var length = array.length;
  while (length--) {
    if (eq(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}
var _assocIndexOf = assocIndexOf;
exports._assocIndexOf = _assocIndexOf;
